$sidebar_w: 10.125rem;
$header_h: 40px;

body.single-diagnostic,
body.post-type-archive-tool,
body.post-type-archive-resource {
  background: var(--gris);

  @include phone() {
    &.displaying-filters {
      div.content-container header.step-title,
      div#situations-selector-container > *,
      div#difficultes-selector-container > * {
        opacity: 0.125;
        filter: blur(2px);
      }

      aside.widget-sidebar {
        opacity: 1 !important;
        filter: none !important;
      }
    }
  }
}

header#diagnostic-header {
  position: fixed;
  z-index: 8000;
  top: 0;
  left: 0;
  right: 0;
  background: var(--bleu-1-dark);
  color: #fff;
  display: flex;
  flex-direction: row;
  align-items: center;

  a,
  p {
    margin: 0;
    padding: 0.8rem 1rem;
  }

  a.home {
    color: #fff;
    text-decoration: none;
    font-weight: bold;

    &:hover {
      color: var(--vert-1);
    }
  }

  div.right-content {
    margin-left: auto;

    > p {
      text-transform: uppercase;
    }

    button {
      display: none;
      border: none;
      padding-left: 1em;
      padding-right: 1em;

      svg {
        fill: #fff;
      }
    }
  }

  @include phone() {
    max-width: 100vw;

    div.right-content {
      > p {
        display: none;
      }

      > button {
        display: block;
      }
    }
  }
}

main#diagnostic-body {
  position: relative;
  min-height: 90vh;

  nav#site-navigation {
    background: #fff;
    display: flex;
    flex-direction: column;
    position: absolute;
    width: $sidebar_w;
    top: 0;
    left: 0;
    bottom: 0;

    @include phone() {
      position: relative;
      width: 100%;
      display: none;
    }

    @include desktop() {
      ul {
        top: $header_h;
      }
    }
  }

  .site-navigation__inner {
    height: calc(100vh - $header_h);
    position: sticky;
    top: $header_h;
    display: flex;
    flex-direction: column;
  }

  div.page-content {
    // margin: $header_h 0 0 $sidebar_w;
    margin: 0 0 0 $sidebar_w;
    position: relative;

    @include phone() {
      margin-left: 0;
      margin-top: 0;
      padding-top: 1.6rem;
      max-height: calc(100vh - ($header_h * 2));
      overflow: hidden;
      overflow-y: auto;
    }
  }
}

.post-type-archive-resource,
.post-type-archive-tool,
.single-resource,
.single-tool {
  main#diagnostic-body {
    nav#site-navigation {
      background-color: transparent;
    }
  }
}

aside.widget-sidebar,
aside.results-nav {
  position: fixed;
  right: 3rem;
  top: 5rem;
  width: 204px;

  @include tablet() {
    right: 0;
    top: 0;
    width: auto;
    position: relative;
  }

  @include phone() {
    right: 0;
    top: 0;
    width: auto;
    position: relative;
  }
}

aside.results-nav {
  @include tablet() {
    padding: 1rem 5rem 7.5rem 5rem;
  }

  @include phone() {
    padding: 0;
    position: absolute;
    top: 0rem;
    left: auto;
    right: 2rem;
    width: 8.5rem;

    ul {
      li.mini-title {
        display: none;
      }

      li {
        display: block;
      }
    }
  }
}
